<?php



function IN7_INDEX_DATABASE($PRODUKT_ID,$TYP_DANYCH,$NOW,$NEWFILE,$TRG_FILE,$EXTRA,$COLUMN) {
global $conn,$thiss;
echo "\n <BR>function IN7_INDEX_DATABASE($PRODUKT_ID,$TYP_DANYCH,$NOW,$NEWFILE,$TRG_FILE,$EXTRA,$COLUMN) ";

//$EXTRA=



if($_SESSION[$COLUMN][TYPE]["LINK_".$TYP_DANYCH]) $UPD_LINK="LINK_".$TYP_DANYCH."='".$NEWFILE."'" ;

echo "$UPD_LINK";

//echo $_SESSION[USERS2_COLUMN][TYPE][ID];

//print_r($_SESSION]

 if(($TYP_DANYCH=="ZDJECIE")||
 ($TYP_DANYCH=="ZDJECIE_HI")||
 ($TYP_DANYCH=="CERT_CE_WEW")||
 ($TYP_DANYCH=="INSTRUKCJA_PL")||
 ($TYP_DANYCH=="SKAN_KRS")||
 ($TYP_DANYCH=="KARTA")) {
	$COLUMN_LINK="LINK_".$TYP_DANYCH;
	$COLUMN_DATA="DATA_".$TYP_DANYCH;

	if($TYP_DANYCH=="INSTRUKCJA_PL") {
	 $COLUMN_LINK="LINK_INSTRUKCJA";	
	 $COLUMN_DATA="DATA_INSTRUKCJI_PL";
 	}
	if($EXTRA) $EXTRA_SQL="NR_".$TYP_DANYCH."='".$EXTRA."' , ";
                 //TODO!!! lower: not update USERS2 - instead update $TYPE_TABLE
		$ZAP_SQL="update USERS2 set $EXTRA_SQL ".$COLUMN_DATA."=".$NOW." , ".$COLUMN_LINK."='".$NEWFILE."' , A_RECORD_UPDATE_DATE=now(), A_RECORD_UPDATE_AUTHOR='system-imported' where PRODUKT_ID='$PRODUKT_ID' limit 1 ";
		echo "\n ZAP_SQL: $ZAP_SQL";
	    $result2 = mysql_query($ZAP_SQL,$conn) or die("Blad zapytania ZAP_SQL. * $ZAP_SQL *!");
//	    $result2 = mysql_query("select * from TEMP_MARKETING",$conn) or die("Blad zapytania ZAP_SQ

 }


} //eof f IN7_INDEX_DATABASE






?>
